package cn.com.qmth.stmms.biz.exam.bean;

import cn.com.qmth.stmms.biz.exam.model.ExamStudent;
import cn.com.qmth.stmms.common.annotation.ExcelField;

public class ExamStudentExportVo {

    @ExcelField(title = "准考证号", align = 2, sort = 10)
    private String examNumber;

    @ExcelField(title = "密号", align = 2, sort = 20)
    private String secretNumber;

    @ExcelField(title = "姓名", align = 2, sort = 30)
    private String name;

    @ExcelField(title = "学号", align = 2, sort = 40)
    private String studentCode;

    @ExcelField(title = "科目", align = 2, sort = 50)
    private String subjectText;

    @ExcelField(title = "试卷类型", align = 2, sort = 60)
    private String paperType;

    @ExcelField(title = "层次", align = 2, sort = 70)
    private String subjectLevel;

    @ExcelField(title = "专业类型", align = 2, sort = 80)
    private String subjectCategory;

    @ExcelField(title = "扫描识别", align = 2, sort = 90)
    private String scanStatus;

    @ExcelField(title = "扫描张数", align = 2, sort = 100)
    private Integer paperCount;

    @ExcelField(title = "人工指定", align = 2, sort = 110)
    private String breachText;

    @ExcelField(title = "批次编号", align = 2, sort = 120)
    private String batchCode;

    @ExcelField(title = "签到表编号", align = 2, sort = 130)
    private String packageCode;

    @ExcelField(title = "学院", align = 2, sort = 140)
    private String college;

    @ExcelField(title = "班级", align = 2, sort = 150)
    private String className;

    @ExcelField(title = "任课老师", align = 2, sort = 160)
    private String teacher;

    @ExcelField(title = "考点", align = 2, sort = 170)
    private String examSite;

    @ExcelField(title = "考场", align = 2, sort = 180)
    private String examRoom;

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getSecretNumber() {
        return secretNumber;
    }

    public void setSecretNumber(String secretNumber) {
        this.secretNumber = secretNumber;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getSubjectText() {
        return subjectText;
    }

    public void setSubjectText(String subjectText) {
        this.subjectText = subjectText;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getSubjectLevel() {
        return subjectLevel;
    }

    public void setSubjectLevel(String subjectLevel) {
        this.subjectLevel = subjectLevel;
    }

    public String getSubjectCategory() {
        return subjectCategory;
    }

    public void setSubjectCategory(String subjectCategory) {
        this.subjectCategory = subjectCategory;
    }

    public String getScanStatus() {
        return scanStatus;
    }

    public void setScanStatus(String scanStatus) {
        this.scanStatus = scanStatus;
    }

    public Integer getPaperCount() {
        return paperCount;
    }

    public void setPaperCount(Integer paperCount) {
        this.paperCount = paperCount;
    }

    public String getBreachText() {
        return breachText;
    }

    public void setBreachText(String breachText) {
        this.breachText = breachText;
    }

    public String getBatchCode() {
        return batchCode;
    }

    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }

    public String getCollege() {
        return college;
    }

    public void setCollege(String college) {
        this.college = college;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getTeacher() {
        return teacher;
    }

    public void setTeacher(String teacher) {
        this.teacher = teacher;
    }

    public String getExamSite() {
        return examSite;
    }

    public void setExamSite(String examSite) {
        this.examSite = examSite;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public static ExamStudentExportVo of(ExamStudent from) {
        if (from == null) {
            return null;
        }
        ExamStudentExportVo ret = new ExamStudentExportVo();
        ret.setExamNumber(from.getExamNumber());
        ret.setSecretNumber(from.getSecretNumber());
        ret.setName(from.getName());
        ret.setStudentCode(from.getStudentCode());
        ret.setSubjectText(from.getSubjectCode() + "-" + from.getSubjectName());
        ret.setPaperType(from.getPaperType());
        ret.setSubjectLevel(from.getSubject().getLevel());
        ret.setSubjectCategory(from.getSubject().getCategory());
        StringBuilder sb1 = new StringBuilder();
        if (from.isUpload() == false) {
            sb1.append("未上传");
        } else {
            sb1.append("已上传");
            if (from.isAbsent() == true) {
                sb1.append(" 缺考");
            } else {
                sb1.append(" 正常");
            }
        }
        ret.setScanStatus(sb1.toString());

        ret.setPaperCount(from.getSheetCount() / 2);
        StringBuilder sb2 = new StringBuilder();
        if (from.isBreach() == false) {
            sb2.append("正常");
        } else {
            sb2.append("违纪");
            if (from.isManualAbsent() == true) {
                sb2.append(" 正常");
            } else {
                sb2.append(" 人工指定");
            }
        }
        ret.setBreachText(sb2.toString());

        ret.setBatchCode(from.getBatchCode());
        ret.setPackageCode(from.getPackageCode());
        ret.setCollege(from.getCollege());
        ret.setClassName(from.getClassName());
        ret.setTeacher(from.getTeacher());
        ret.setExamSite(from.getExamSite());
        ret.setExamRoom(from.getExamRoom());
        return ret;
    }
}
