package cn.com.qmth.stmms.biz.exam.bean;

import java.util.Date;

import cn.com.qmth.stmms.biz.school.model.School;
import io.swagger.annotations.ApiModelProperty;

public class SchoolVo {

    private Integer id;

    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;

    /**
     * 代码
     */
    @ApiModelProperty("代码")
    private String code;

    /**
     * 省份
     */
    @ApiModelProperty("省份")
    private String province;

    /**
     * 城市
     */
    @ApiModelProperty("地市")
    private String city;

    /**
     * 图片地址、名称
     */
    private String logoUrl;

    /**
     * 地址
     */
    @ApiModelProperty("地址")
    private String address;

    private String accessKey;

    private String accessSecret;

    /**
     * 描述
     */
    @ApiModelProperty("描述")
    private String description;

    /**
     * 是否启用
     */
    private Boolean enable;

    /**
     * 双评轨迹
     */
    @ApiModelProperty("双评轨迹")
    private String doubleTrackText;

    private Boolean doubleTrack;

    private Date createTime;

    private Date updateTime;

    private Integer parentId;

    @ApiModelProperty("子机构代码")
    private String subCode;

    private Boolean groupDeleteCheck;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getLogoUrl() {
        return logoUrl;
    }

    public void setLogoUrl(String logoUrl) {
        this.logoUrl = logoUrl;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getDoubleTrackText() {
        return doubleTrackText;
    }

    public void setDoubleTrackText(String doubleTrackText) {
        this.doubleTrackText = doubleTrackText;
    }

    public Boolean getDoubleTrack() {
        return doubleTrack;
    }

    public void setDoubleTrack(Boolean doubleTrack) {
        this.doubleTrack = doubleTrack;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getSubCode() {
        return subCode;
    }

    public void setSubCode(String subCode) {
        this.subCode = subCode;
    }

    public Boolean getGroupDeleteCheck() {
        return groupDeleteCheck;
    }

    public void setGroupDeleteCheck(Boolean groupDeleteCheck) {
        this.groupDeleteCheck = groupDeleteCheck;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getAccessSecret() {
        return accessSecret;
    }

    public void setAccessSecret(String accessSecret) {
        this.accessSecret = accessSecret;
    }

    public static SchoolVo of(School from) {
        if (from == null) {
            return null;
        }
        SchoolVo ret = new SchoolVo();
        ret.setId(from.getId());
        ret.setName(from.getName());
        ret.setCode(from.getCode());
        ret.setProvince(from.getProvince());
        ret.setCity(from.getCity());
        ret.setLogoUrl(from.getLogoUrl());
        ret.setDescription(from.getDescription());
        ret.setEnable(from.isEnable());
        if (from.isDoubleTrack()) {
            ret.setDoubleTrackText("开启");
        } else {
            ret.setDoubleTrackText("关闭");
        }

        ret.setDoubleTrack(from.isDoubleTrack());
        ret.setCreateTime(from.getCreateTime());
        ret.setUpdateTime(from.getUpdateTime());
        ret.setParentId(from.getParentId());
        ret.setSubCode(from.getSubCode());
        ret.setGroupDeleteCheck(from.isGroupDeleteCheck());
        ret.setAddress(from.getAddress());
        ret.setAccessKey(from.getAccessKey());
        ret.setAccessSecret(from.getAccessSecret());
        return ret;
    }

}
