package cn.com.qmth.stmms.biz.mark.service.Impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.stmms.biz.common.BaseQueryService;
import cn.com.qmth.stmms.biz.mark.dao.RejectTypeDao;
import cn.com.qmth.stmms.biz.mark.model.RejectType;
import cn.com.qmth.stmms.biz.mark.service.RejectTypeService;

@Service
public class RejectTypeServiceImpl extends BaseQueryService<RejectType> implements RejectTypeService {

    @Autowired
    private RejectTypeDao rejectTypeDao;

    @Override
    public RejectType save(RejectType p) {
        return rejectTypeDao.save(p);
    }

    @Override
    public RejectType findById(Integer id) {
        return rejectTypeDao.findOne(id);
    }

    @Transactional
    @Override
    public void deleteById(Integer id) {
        rejectTypeDao.delete(id);
    }

    @Override
    public void delete(RejectType p) {
        rejectTypeDao.delete(p);
    }

    @Override
    public List<RejectType> findByExamId(Integer examId) {
        return rejectTypeDao.findByExamId(examId);
    }

    @Override
    public Map<Integer, RejectType> findMapByExamId(Integer examId) {
        Map<Integer, RejectType> map =new HashMap<>();
        for (RejectType r:findByExamId(examId)) {
            map.put(r.getId(),r);
        }
        return map;
    }

}
